Linux Kernelの脆弱性(CVE-2018-11412)




05/22/2018にLinux Kernelの脆弱性情報(CVE-2018-11412)が公開されています。今回はこの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。


 

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

05/22/2018にLinux Kernelの脆弱性情報(CVE-2018-11412)が公開されています。今回はこの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。



Priority

Moderate

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-11412
    • 境界外のmemcpyの可能性

    • 重要度 - Moderate

    • 4.13から4.16.11までのLinux Kernelのfs/ext4/inline.c中のext4_read_inline_data()関数は、system.data拡張属性の値を専用のinodeに格納している細工されたファイルシステムによって、信頼できない長さの値を持つmemcpyを実行します。


主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteやKatello、Spacewalk等を使うと管理が便利でしょう。

また、OSの再起動が発生しますので、peacemakerなどOSSのクラスタ製品を使うとサービス断の時間を最小限にすることが出来ます。

[参考]

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-11412

セキュリティ系連載案内

前へ

Wiresharkの脆弱性情報(CVE-2018-11354,CVE-2018-11355,CVE-2018-11356,CVE-2018-11357,CVE-2018-11358,CVE-2018-11359,CVE-2018-11360,CVE-2018-11361,CVE-2018-11362)

次へ

OpenFlowの脆弱性(CVE-2018-1000155)